Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.controls
Class NumericalControl

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
          org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
              org.eclipse.emf.ecp.edit.internal.swt.controls.SingleControl
                  org.eclipse.emf.ecp.edit.internal.swt.controls.AbstractTextControl
                      org.eclipse.emf.ecp.edit.internal.swt.controls.NumericalControl

All Implemented Interfaces:
  ECPControlSWT

Deprecated.

    @Deprecated
    public class NumericalControl

extends AbstractTextControl

This class is used as a common class for all number controls.

Author:
  Eugen Neufeld, emueller

Constructor Summary
`NumericalControl()` Deprecated.

Method Summary
`org.eclipse.core.databinding.Binding` | `bindValue()` Deprecated. Triggers the control to perform the databinding.

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.controls.AbstractTextControl
`dispose, getText, setEditable`

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.controls.SingleControl
`handleValidation, resetValidation, showLabel`

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
`createControl, createControls, setObservableValue`

Methods inherited from class org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
`getDataBindingContext, getFirstSetting, getFirstStructuralFeature, getItemPropertyDescriptor, init, setEmbedded`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericalControl

    public NumericalControl()

  Deprecated.

Method Detail

### bindValue

    public org.eclipse.core.databinding.Binding bindValue()

  Deprecated.
  Description copied from class: `SWTControl`
  Triggers the control to perform the databinding.

  Overrides:
    `bindValue` in class `AbstractTextControl`
  Returns:
    The `Binding`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.